com.sun.grid.jgdi.configuration

## Class SubordinateImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.SubordinateImpl

- All Implemented Interfaces:
    GEObject, Subordinate, java.io.Serializable, java.lang.Cloneable

      public class SubordinateImpl
      extends GEObjectImpl
      implements Subordinate

  Java representation of the cull object SO_Type defined in sge_all_listsL.template

  Warning: The SubordinateImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubordinateImpl()` Create a new instance of SubordinateImpl.
    `SubordinateImpl(boolean initWithDefaultValues)` Create a new instanceof
    `SubordinateImpl(java.lang.String name)` Create a new instance of SubordinateImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getAction()` Get the value of the action attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getSeqNo()` Get the value of the seqNo attribute.
    `int` | `getSlotsSum()` Get the value of the slotsSum attribute.
    `int` | `getThreshold()` Get the value of the threshold attribute.
    `boolean` | `isSetAction()` Determine if the action attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetSeqNo()` Determine if the seqNo attribute is set
    `boolean` | `isSetSlotsSum()` Determine if the slotsSum attribute is set
    `boolean` | `isSetThreshold()` Determine if the threshold attribute is set
    `void` | `setAction(int aAction)` Set the action attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setSeqNo(int aSeqNo)` Set the seqNo attribute.
    `void` | `setSlotsSum(int aSlotsSum)` Set the slotsSum attribute.
    `void` | `setThreshold(int aThreshold)` Set the threshold attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### SubordinateImpl

          public SubordinateImpl()

      Create a new instance of SubordinateImpl. The new instance will not be initialized with the default values.

    - #### SubordinateImpl

          public SubordinateImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### SubordinateImpl

          public SubordinateImpl(java.lang.String name)

      Create a new instance of SubordinateImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `Subordinate`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `Subordinate`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `Subordinate`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetThreshold

          public boolean isSetThreshold()

      Determine if the threshold attribute is set
      Specified by:
        `isSetThreshold` in interface `Subordinate`
      Returns:
        `true` if the threshold attribute is set

    - #### setThreshold

          public void setThreshold(int aThreshold)

      Set the threshold attribute.
      Specified by:
        `setThreshold` in interface `Subordinate`
      Parameters:
        `aThreshold` - the new value for the threshold attribute

    - #### getThreshold

          public int getThreshold()

      Get the value of the threshold attribute.
      Specified by:
        `getThreshold` in interface `Subordinate`
      Returns:
        the value of the threshold attribute

    - #### isSetSlotsSum

          public boolean isSetSlotsSum()

      Determine if the slotsSum attribute is set
      Specified by:
        `isSetSlotsSum` in interface `Subordinate`
      Returns:
        `true` if the slotsSum attribute is set

    - #### setSlotsSum

          public void setSlotsSum(int aSlotsSum)

      Set the slotsSum attribute.
      Specified by:
        `setSlotsSum` in interface `Subordinate`
      Parameters:
        `aSlotsSum` - the new value for the slotsSum attribute

    - #### getSlotsSum

          public int getSlotsSum()

      Get the value of the slotsSum attribute.
      Specified by:
        `getSlotsSum` in interface `Subordinate`
      Returns:
        the value of the slotsSum attribute

    - #### isSetSeqNo

          public boolean isSetSeqNo()

      Determine if the seqNo attribute is set
      Specified by:
        `isSetSeqNo` in interface `Subordinate`
      Returns:
        `true` if the seqNo attribute is set

    - #### setSeqNo

          public void setSeqNo(int aSeqNo)

      Set the seqNo attribute.
      Specified by:
        `setSeqNo` in interface `Subordinate`
      Parameters:
        `aSeqNo` - the new value for the seqNo attribute

    - #### getSeqNo

          public int getSeqNo()

      Get the value of the seqNo attribute.
      Specified by:
        `getSeqNo` in interface `Subordinate`
      Returns:
        the value of the seqNo attribute

    - #### isSetAction

          public boolean isSetAction()

      Determine if the action attribute is set
      Specified by:
        `isSetAction` in interface `Subordinate`
      Returns:
        `true` if the action attribute is set

    - #### setAction

          public void setAction(int aAction)

      Set the action attribute.
      Specified by:
        `setAction` in interface `Subordinate`
      Parameters:
        `aAction` - the new value for the action attribute

    - #### getAction

          public int getAction()

      Get the value of the action attribute.
      Specified by:
        `getAction` in interface `Subordinate`
      Returns:
        the value of the action attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Subordinate`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.